RSpec.configure do |config|
  config.include FactoryBot::Syntax::Methods

  config.before(:each) do |example|
    @modules = example.metadata[:tags]&.first&.split(' ') || []
    @app = create :app
    @user = create(:user, app: @app)
    user_account_info = {
      account_type: 'User',
      account: @user.account,
    }
    allow(User).to receive(:auth!).and_return(user_account_info)
  end
end
